apiVersion: "ryax.tech/v2.0"
kind: Processor
spec:
  id: postgresql-update
  human_name: PostgreSQL Update
  type: python3
  version: "3.0.0"
  logo: "logo.jpeg"
  description: "Make an SQL UPDATE query in a postgres database"
  categories:
  - Action
  - Developer tools
  - Default Actions
  inputs:
  - help: "Database Name"
    human_name: "Database Name"
    name: name
    type: string
  - help: "Database Host"
    human_name: "Host"
    name: host
    type: string
  - help: "Username"
    human_name: "Username"
    name: username
    type: string
  - help: "Password"
    human_name: "Password"
    name: password
    type: password
  - help: "Port"
    human_name: "Port"
    name: port
    type: integer
  - help: "JSON File"
    human_name: "JSON File"
    name: insertdata
    type: file
  - help: "Table Name"
    human_name: "Table Name"
    name: tablename
    type: string
  - help: "Table Column PK to update on"
    human_name: "Table Key"
    name: pk
    type: string
